Bug 1119537

Summary: RFE: Wildfly Compatibility
Product: [Retired] Zanata Reporter: Carlos Munoz <camunoz>
Component: DeploymentAssignee: Sean Flanigan <sflaniga>
Status: CLOSED CURRENTRELEASE QA Contact: Zanata-QA Mailling List <zanata-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 3.5CC: damason, dchen, djansen, mkim, sflaniga, zanata-bugs
Target Milestone: ---   
Target Release: 3.5   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2082) Doc Type: Bug Fix
Doc Text:
Story Points: 8
Clone Of: Environment:
Last Closed: 2015-01-26 23:28:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1129906, 1130411    
Bug Blocks:    

Description Carlos Munoz 2014-07-15 02:58:04 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 David Mason 2014-07-16 07:04:06 UTC
This enhancement is about testing and deploying our current release version of Zanata (^3.4.3) on Wildfly, in addition to deploying on EAP.


## Remaining Work

Some work is already done by camunoz and sflanigan.

 - It is not currently building when the wildfly profile is turned off
    - there are test failures
    - need to get rid of the separate profile so that there is only a single war for both EAP and Wildfly
 - Replace server.zip with a wildfly-based package
    - Wildfly in “EAP emulation mode”
 - Expand testing strategy to include testing on both EAP and Wildfly.
 - Fully document deployment on Wildfly


## Technical notes

Need to run Arquillian multiple times with different flags, or we could test only on Wildfly.

Functional tests currently user server.zip download. We can change it to use cargo and download wildfly. It will need to install some modules (may be tricky in cargo).

 - Switch Arquillian to Wildfly
 - Switch functional tests to Wildfly. Need to change it to use a wildfly version of standalone.xml. This includes Basic Acceptance Tests

Comment 3 Ding-Yi Chen 2014-10-14 00:28:33 UTC
VERIFIED with 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2082)